> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-subscription-description.md).

# Component: Subscription Description

**Purpose:** An alternative to the [Subscription Info](/components/component-library/standard-components/component-subscription-info.md) component to display basic information about a customer's current offer such as an image and a description of what it includes. This is useful in Switch journeys for example, if you want customers to be able to compare their existing offer to available Switch offers.

![](https://user-images.githubusercontent.com/10038681/198560571-eb209ab0-1249-4ce2-816a-de3803c52e79.png)

## Props

| Prop Name                         | Label                               | Type    | Default Value            | Description |
| --------------------------------- | ----------------------------------- | ------- | ------------------------ | ----------- |
| subscriptionDescriptionHeading    | Subscription Description Heading    | string  | Change your subscription |             |
| subscriptionDescriptionSubheading | Subscription Description Subheading | string  | Current subscription     |             |
| productName                       | Product Name                        | string  | Limio                    |             |
| defaultImageUrl                   | Default Image Url                   | string  | -                        |             |
| displayProduct                    | Display product name?               | boolean | true                     |             |
| displayDescription                | Display description?                | boolean | true                     |             |
| displayImage                      | Display product image?              | boolean | true                     |             |
| displayGoBackButton               | Display go back button?             | boolean | true                     |             |
| goBackUrl                         | Go Back Button URL                  | string  | /mma                     |             |
| goBackButtonLabel                 | Go Back Button Label                | string  | Go back                  |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-subscription-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
